Ask Your Question
1

how to use ueye_cam to drive my UI1221-m camera

asked 2013-11-07 14:16:17 -0500

vippt gravatar image

updated 2013-11-08 19:44:05 -0500

hi all i have an ueye UI-1221-M camera and i am trying to use ueye_cam to drive it. i have installed the IDS driver and can use the driver to open the camera. when i use "roslaunch ueye_cam rgb8.launch" the erro comes as follow.

    process[nodelet_manager-1]: started with pid [2384]
    process[ueye_cam_nodelet-2]: started with pid [2385]
    [ INFO] [1383891971.818538867]: Initializing nodelet with 4 worker threads.
    [ERROR] [1383891971.834649094]: Failed to load nodelet [/ueye_cam_nodelet] of type [ueye_cam/include/ueye_cam_nodelet]: According to the loaded plugin descriptions the class ueye_cam/include/ueye_cam_nodelet with base class type nodelet::Nodelet does not exist. Declared types are  asctec_autopilot/AutoPilotNodelet asctec_proc/AsctecProcNodelet depth_image_proc/convert_metric depth_image_proc/disparity depth_image_proc/point_cloud_xyz depth_image_proc/point_cloud_xyzrgb depth_image_proc/register image_proc/crop_decimate image_proc/debayer image_proc/rectify image_view/disparity image_view/image nodelet_tutorial_math/Plus pcl/BAGReader pcl/ExtractIndices pcl/NodeletDEMUX pcl/NodeletMUX pcl/PCDReader pcl/PCDWriter pcl/PassThrough pcl/PointCloudConcatenateDataSynchronizer pcl/PointCloudConcatenateFieldsSynchronizer pcl/ProjectInliers pcl/StatisticalOutlierRemoval pcl/VoxelGrid stereo_image_proc/disparity stereo_image_proc/point_cloud stereo_image_proc/point_cloud2 ueye_cam/ueye_cam_nodelet
    [FATAL] [1383891971.834927628]: Service call failed!
    [ueye_cam_nodelet-2] process has died [pid 2385, exit code 255, cmd /opt/ros/groovy/lib/nodelet/nodelet load ueye_cam/include/ueye_cam_nodelet nodelet_manager __name:=ueye_cam_nodelet __log:=/home/uav/.ros/log/91855d0c-483e-11e3-9892-9c4e3647a14c/ueye_cam_nodelet-2.log].
    log file: /home/uav/.ros/log/91855d0c-483e-11e3-9892-9c4e3647a14c/ueye_cam_nodelet-2*.log

* It seems that missing lib file how to deal with the problem? any help is appriciate*

[Update] Hi, thanks for your reply I have re-cloned the code and the error didn't disappear:

    [ INFO] [1383981887.637572692]: Initializing nodelet with 4 worker threads.
    [ERROR] [1383981887.726106300]: Failed to load nodelet [/ueye_cam_nodelet] of type [ueye_cam/ueye_cam_nodelet]: Could not find library corresponding to plugin ueye_cam/ueye_cam_nodelet. Make sure the plugin description XML file has the correct name of the library and that the library actually exists.
    [FATAL] [1383981887.726402185]: Service call failed!
    [ueye_cam_nodelet-2] process has died [pid 6465, exit code 255, cmd /opt/ros/groovy/lib/nodelet/nodelet load ueye_cam/ueye_cam_nodelet nodelet_manager __name:=ueye_cam_nodelet __log:=/home/uav/.ros/log/fda46e70-490f-11e3-bba7-9c4e3647a14c/ueye_cam_nodelet-2.log].
    log file: /home/uav/.ros/log/fda46e70-490f-11e3-bba7-9c4e3647a14c/ueye_cam_nodelet-2*.log

And i find problems when i build the package"rosmake ueye_cam" The MAKE process is really fast , i think many of the file did not MAKE correctly...

[ rosmake ] rosmake starting...                                                 
[ rosmake ] Packages requested are: ['ueye_cam']                                
[ rosmake ] Logging to directory /home/uav/.ros/rosmake/rosmake_output-20131109-153613
[ rosmake ] Expanded args ['ueye_cam'] to:
['ueye_cam']                         
[rosmake-0] Starting >>> catkin [ make ]                                        
[rosmake-0] Finished <<< catkin ROS_NOBUILD in package catkin
 No Makefile in package catkin
[rosmake-0] Starting >>> genmsg [ make ]                                        
[rosmake-0] Finished <<< genmsg ROS_NOBUILD in package genmsg
 No Makefile in package genmsg
[rosmake-0] Starting >>> genpy [ make ]                                         
[rosmake-1] Starting >>> cpp_common [ make ]                                    
[rosmake-2] Starting >>> genlisp [ make ]                                       
[rosmake-3] Starting >>> gencpp [ make ]                                        
[rosmake-0] Finished <<< genpy ROS_NOBUILD in package genpy
 No Makefile in package genpy
[rosmake-1] Finished <<< cpp_common ROS_NOBUILD in package cpp_common
 No Makefile in package cpp_common
[rosmake-1] Starting >>> rostime [ make ]                                       
[rosmake-1] Finished <<< rostime ROS_NOBUILD in package rostime
 No Makefile in package rostime
[rosmake-1] Starting >>> roscpp_traits [ make ]                                 
[rosmake-1] Finished <<< roscpp_traits ROS_NOBUILD in package roscpp_traits
 No Makefile in package roscpp_traits
[rosmake-1] Starting >>> roscpp_serialization [ make ]                          
[rosmake-0] Starting >>> rospack [ make ]                                       
[rosmake-1] Finished <<< roscpp_serialization ROS_NOBUILD ...
(more)
edit retag flag offensive close merge delete

Comments

@anqixu please help me with it

vippt gravatar imagevippt ( 2013-11-07 18:33:51 -0500 )edit

Your new run shows the correct nodelet type of ueye_cam/ueye_cam_nodelet rather than ueye_cam/include/ueye_cam_nodelet. Also, the default repo branch is for catkin, not rosmake. So either use catkin_make (groovy&up) or switch branch: git clone https://github.com/anqixu/ueye_cam.git --branch fuerte

anqixu gravatar imageanqixu ( 2013-11-09 04:41:35 -0500 )edit

hi anqixu thanks i am useing the groovy but i can't config the catkin_make (i'm new here), so i downloaded the fuerte code and it works with my ueye.

vippt gravatar imagevippt ( 2013-11-10 19:05:16 -0500 )edit

Hi anqixu. I'm using ROS hydro, compiling the package with catkin_make, but I still have the same problem: [ERROR] [1389397299.178431342]: Failed to load nodelet [/ueye_cam_nodelet] of type [ueye_cam/ueye_cam_nodelet]: Could not find library corresponding to plugin ueye_cam/ueye_cam_nodelet. Make sure the plugin description XML file has the correct name of the library and that the library actually exists. ------ The library exist and it is in the right path. How can I solve this problem?

Vero gravatar imageVero ( 2014-01-10 11:56:48 -0500 )edit

@Vero: hmm that's very weird. try checking out the fuerte branch and compiling (with rosbuild). Please also confirm that under the path [catkin_ws]/devel/lib, you have the files libueye_cam_nodelet.so libueye_wrapper.so

anqixu gravatar imageanqixu ( 2014-01-11 05:37:34 -0500 )edit

The package ueye_came-fuerte compiles and runs. The hydro version still has a problem. I can confirm that under the path [catkin_ws]/devel/lib there are the files libueye_cam_nodelet.so libueye_wrapper.so

Vero gravatar imageVero ( 2014-01-11 22:41:39 -0500 )edit

Since the libraries exist but are not getting found we need some more information to narrow it down. Can you please add the output of the following commands from the shell where your roslaunch invocation failed to your question? "rospack plugins --attrib=plugin nodelet | grep ueye" and "env | grep CMAKE_PREFIX_PATH" and "".

Dirk Thomas gravatar imageDirk Thomas ( 2014-01-12 05:44:12 -0500 )edit

I have the same problem using ueye_cam with Groovy/catkin (the fuerte branch works fine) Both libraries exist in /workspace/devel/lib rospack output: 'ueye_cam /home/ark3440/workspace/src/race_externals/ueye_cam/nodelet_plugins.xml' 'CMAKE_PREFIX_PATH=/opt/ros/groovy' help appreciated :)

wji gravatar imagewji ( 2014-01-17 01:10:37 -0500 )edit

4 Answers

Sort by ยป oldest newest most voted
1

answered 2014-01-24 06:23:02 -0500

Vero gravatar image

I solve the problem. It was a problem of the id of the cameras. I used the master_slaves_rgb8.launch and I modified the id name.

edit flag offensive delete link more
1

answered 2013-11-08 03:02:57 -0500

anqixu gravatar image

It appears that your launch file is incorrectly trying to load a nodelet of type "ueye_cam/include/ueye_cam_nodelet" and failing, since the actual nodelet is of the type "ueye_cam/ueye_cam_nodelet" (which has been compiled successfully on your machine, if you look at the rest of the printout).

Please try updating your code from the github repo and trying again.

See: https://github.com/anqixu/ueye_cam/blob/master/launch/rgb8.launch

edit flag offensive delete link more

Comments

HI @anqixu ,thank you for your help i think i haven't install the package correctly, it seems missing some lib? i don't know :-(

vippt gravatar imagevippt ( 2013-11-08 19:58:39 -0500 )edit
1

answered 2017-03-28 05:53:31 -0500

rhaeg gravatar image

Hi I basically have the same problem

I am using a UI 1221LE camera from a raspberry pi running minibian with ROS indigo. The camera is confirmed to be working from a ubuntu environment but have problems starting it from the minibian.

I have installed the arm 7 drivers and started successfully the daemon. I have tried to use the ueye_cam from apt-get, everything was ok but could not launch. Now i have cloned the git, compiled with catkin successfully, but when trying to run roslaunch ueye_cam rgb8.launch

i get the output

/root/ueye/ueye_cam/catkin_ws/devel/lib/ueye_cam/check_ueye_api: error while loading shared libraries: libueye_api.so: cannot open shared object file: No such file or directory=REQUIRED process [check_ueye_api-1] has died! process has died [pid 7478, exit code 127, cmd /root/ueye/ueye_cam/catkin_ws/devel/lib/ueye_cam/check_ueye_api __name:=check_ueye_api __log:=/root/.ros/log/2823c8ee-1392-11e7-a344-b827eba280a7/check_ueye_api-1.log]. log file: /root/.ros/log/2823c8ee-1392-11e7-a344-b827eba280a7/check_ueye_api-1*.log Initiating shutdown!

I confirm to have sourced catkin_ws/devel/setup.bash also, i confirm that the directory /devel/lib includes the files libueye_cam_nodelet.so and libueye_wrapper.so and they are not empty.

Moreover, Having commented the line

node name="check_ueye_api" pkg="ueye_cam" type="check_ueye_api" required="true" /
in src/launch/rg8.launch. i get a different error:

[ERROR] [1490697836.989684294]: Failed to load nodelet [/ueye_cam_nodelet] of type [ueye_cam/ueye_cam_nodelet] even after refreshing the cache: Failed to load library /root/ueye/ueye_cam/catkin_ws/devel/lib//libueye_cam_nodelet.so. Make sure that you are calling the PLUGINLIB_EXPORT_CLASS macro in the library code, and that names are consistent between this macro and your XML. Error string: Could not load library (Poco exception = libueye_api.so: cannot open shared object file: No such file or directory)[ERROR] [1490697836.989874241]: The error before refreshing the cache was: Failed to load library /root/ueye/ueye_cam/catkin_ws/devel/lib//libueye_cam_nodelet.so. Make sure that you are calling the PLUGINLIB_EXPORT_CLASS macro in the library code, and that names are consistent between this macro and your XML. Error string: Could not load library (Poco exception = libueye_api.so: cannot open shared object file: No such file or directory) [FATAL] [1490697836.990713562]: Failed to load nodelet '/ueye_cam_nodelet of type ueye_cam/ueye_cam_nodelet to manager nodelet_manager' [ueye_cam_nodelet-2] process has died [pid 7668, exit code 255, cmd /opt/ros/indigo/lib/nodelet/nodelet load ueye_cam/ueye_cam_nodelet nodelet_manager __name:=ueye_cam_nodelet __log:=/root/.ros/log/2823c8ee-1392-11e7-a344-b827eba280a7/ueye_cam_nodelet-2.log]. log file: /root/.ros/log/2823c8ee-1392-11e7-a344-b827eba280a7/ueye_cam_nodelet-2*.log

** having followed this thread on the ros page, I get the same problem, but unable to fix.

Moreover. i tried also to compile the fuerte branch, but with no success.

Thank you!

edit flag offensive delete link more

Comments

So it turns out i was using the wrong camera driver. I was using the driver for arm7 architecture with soft float instead of the one with hard float. the correct driver works fine and the ros_ueye_cam works well.

rhaeg gravatar imagerhaeg ( 2017-03-29 04:15:17 -0500 )edit

I +1ed for your sharing valuable info, but your posts should have been posted as a separate question (and answer) so that people with the same issue/interest can find it easily in the future.

130s gravatar image130s ( 2017-04-06 14:51:22 -0500 )edit
0

answered 2014-01-24 05:00:16 -0500

Vero gravatar image

Hello, the topic is quite the same.

I have 2 cameras (UI-1241-LE-C-HQ) and I want to use both of them for sterevision. I'm trying to use the ROS package ueye_cam (fuerte branch).

When I run:

roslauch ueye_cam master_slaves_rgb8.launch

I get this error:

any suggestion? maybe @anqixu can help me.

thank you!

edit flag offensive delete link more

Comments

master_slaves_rgb8.launch is a special launch file, designed for a hardware-triggered synchronized multi-camera setup. Please see the wiki for additional information if interested. For non-synchronized stereo, please modify rgb8.launch to duplicate 2 instances of cameras, with different IDs.

anqixu gravatar imageanqixu ( 2014-01-24 05:19:36 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

3 followers

Stats

Asked: 2013-11-07 14:16:17 -0500

Seen: 1,946 times

Last updated: Jan 24 '14